Continue Onboarding

Continues the onboarding process for a recipient. This endpoint is used for two-step onboarding flows to execute the KYC step after account creation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint continues the onboarding process for a recipient, specifically executing the KYC (Know Your Customer) step in two-step onboarding flows. Use this when you need to complete KYC validation after account creation has been completed via Create Onboarding.

Prerequisites

This endpoint requires a prior Create Onboarding call with type: "TWO_STEP_ONBOARDING" where the account creation step has been completed successfully. This is the second step in two-step onboarding flows for the split payments marketplace.

The continue process supports two workflow types:

  • HOSTED_BY_PROVIDER: Returns a Yuno redirect URL that logs activity and redirects to the provider's KYC interface. Use workflow: "HOSTED_BY_PROVIDER".
  • DIRECT: Processes KYC validation directly without external redirects. Use workflow: "DIRECT".
Path Params
string
required

ID of the recipient

string
required

ID of the onboarding to continue

Body Params
string
required

Unique id of the account in Yuno

string
enum
required

Type of onboarding flow. Only TWO_STEP_ONBOARDING can be continued.

Allowed:
string
enum
required

Workflow of the KYC process. HOSTED_BY_PROVIDER calls create KYC service and returns Yuno URL that redirects to provider. DIRECT calls create KYC service and processes KYC directly.

Allowed:
uri

URL in case to redirect your customer after the onboarding process with the provider, if needed.

provider
object
documentation
array of objects

Specifies the documentation object.

documentation
withdrawal_methods
object

Specifies the withdrawal methods object.

legal_representatives
array of objects
terms_of_service
object

Object describing terms of service.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json